#Asher in
from eventAPI import *
from APIUtils import *

def fireEvent(e):
    AsherStat = getTag(e, "AsherStat1")
    if(AsherStat == 0):
        showMessage(e, ["Another pedestal here, with a small pool of fluid in the center"])
        showMessage(e, ["The inscription reads \"If you're to test the master's mistress, all must prove their strength here.\""])
        if(poseYesNo(e, ["Will you all dip your hands into the pool?"])):
            showMessage(e, ["Pain is no one's friend"])
            partyCnt = getPartyCount(e)
            partyIdx = 0
            while (partyIdx < partyCnt):
                modifyHP(e, partyIdx, -40)
                partyIdx = partyIdx + 1

            setTag(e, "AsherStat1", 1)
            showPicture(e, "argent")
            showMessage(e, ["AHHH", "the elders curse Asher!", "May many a fault lie in the bedrock above his head!"])
            showPicture(e, "rose")
            showMessage(e, ["Oh dear, these wounds look bad Argent, they need immediate tending", "I will have to focus my attention to Argent now, the further down we go the stronger the constructs are, please we must hurry onward"])
        else:
            showMessage(e, ["you leave the pool behind, determined to find another path"])
    else:
        showMessage(e, ["The accursed pool of pain is here, you bow your head and turn back in disgust"])

    return 0

